﻿Imports System.Collections.ObjectModel
Imports System.ComponentModel
Imports System.Data.Entity

Public Class ObservableListSource(Of T As Class)
    Inherits ObservableCollection(Of T)
    Implements IListSource

    Private _bindingList As IBindingList

    Public ReadOnly Property ContainsListCollection As Boolean Implements IListSource.ContainsListCollection
        Get
            Return False
        End Get
    End Property

    Public Function GetList() As IList Implements IListSource.GetList
        If _bindingList Is Nothing Then
            _bindingList = Me.ToBindingList()
        End If
        Return _bindingList
    End Function
End Class
